Bug 167534 - ACPI: Unable to load the System Description Tables
ACPI: Unable to load the System Description Tables
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-04 09:13 EDT by Christian Weiss
Modified: 2015-01-04 17:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 03:58:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Weiss 2005-09-04 09:13:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.11) Gecko/20050728

Description of problem:
After upgrading the kernel from kernel-2.6.12-1.1372_FC3 to kernel-2.6.12-1.1376_FC3 ACPI don't work.

Because of this my IRQs don't match - my network card (8139too) don't work:
Aug 31 01:01:57 beach kernel: NETDEV WATCHDOG: eth0: transmit timed out
Aug 31 01:01:57 beach kernel: eth0: link up, 100Mbps, half-duplex, lpa 0x40A1
Aug 31 01:02:09 beach kernel: NETDEV WATCHDOG: eth0: transmit timed out
Aug 31 01:02:09 beach kernel: eth0: link up, 100Mbps, half-duplex, lpa 0x40A1
Aug 31 01:02:21 beach kernel: NETDEV WATCHDOG: eth0: transmit timed out
Aug 31 01:02:21 beach kernel: eth0: link up, 100Mbps, half-duplex, lpa 0x40A1


kernel-2.6.12-1.1376_FC3 (bad):
Sep  4 14:20:25 beach kernel: ACPI: PM-Timer IO Port: 0x4008
Sep  4 14:20:25 beach kernel: Checking 'hlt' instruction... OK.
Sep  4 14:20:25 beach kernel:     ACPI-0287: *** Error: Region SystemIO(1) has no handler
Sep  4 14:20:25 beach kernel:     ACPI-0127: *** Error: acpi_load_tables: Could not load namespace: AE_NOT_EXIST
Sep  4 14:20:25 beach kernel:     ACPI-0136: *** Error: acpi_load_tables: Could not load tables: AE_NOT_EXIST
Sep  4 14:20:25 beach kernel: ACPI: Unable to load the System Description Tables
Sep  4 14:20:25 beach kernel: checking if image is initramfs... it is
Sep  4 14:20:25 beach kernel: Freeing initrd memory: 398k freed
Sep  4 14:20:25 beach kernel: NET: Registered protocol family 16
Sep  4 14:20:25 beach kernel: PCI: PCI BIOS revision 2.10 entry at 0xfb120, last bus=2
Sep  4 14:20:25 beach kernel: PCI: Using configuration type 1
Sep  4 14:20:25 beach kernel: mtrr: v2.0 (20020519)
Sep  4 14:20:25 beach kernel: ACPI: Subsystem revision 20050729
Sep  4 14:20:25 beach kernel: ACPI: Interpreter disabled.
Sep  4 14:20:25 beach kernel: Linux Plug and Play Support v0.97 (c) Adam Belay
Sep  4 14:20:25 beach kernel: pnp: PnP ACPI: disabled


kernel-2.6.12-1.1372_FC3 (good):
Sep  4 14:23:11 beach kernel: ACPI: PM-Timer IO Port: 0x4008
Sep  4 14:23:11 beach kernel: ACPI: setting ELCR to 0200 (from 1820)
Sep  4 14:23:11 beach kernel: checking if image is initramfs... it is
Sep  4 14:23:11 beach kernel: Freeing initrd memory: 398k freed
Sep  4 14:23:11 beach kernel: NET: Registered protocol family 16
Sep  4 14:23:11 beach kernel: PCI: PCI BIOS revision 2.10 entry at 0xfb120, last bus=2
Sep  4 14:23:11 beach kernel: PCI: Using configuration type 1
Sep  4 14:23:11 beach kernel: mtrr: v2.0 (20020519)
Sep  4 14:23:11 beach kernel: ACPI: Subsystem revision 20050309
Sep  4 14:23:11 beach kernel: ACPI: Interpreter enabled
Sep  4 14:23:11 beach kernel: ACPI: Using PIC for interrupt routing
Sep  4 14:23:11 beach kernel: ACPI: PCI Root Bridge [PCI0] (0000:00)
Sep  4 14:23:11 beach kernel: PCI: Probing PCI hardware (bus 00)
Sep  4 14:23:11 beach kernel: PCI: Transparent bridge - 0000:00:1e.0
Sep  4 14:23:11 beach kernel: ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 *5 6 7 9 10 11 12 14 15)
Sep  4 14:23:11 beach kernel: ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 9 10 11 *12 14 15)
Sep  4 14:23:11 beach kernel: ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
Sep  4 14:23:11 beach kernel: ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
Sep  4 14:23:11 beach kernel: ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 9 10 11 12 14 15) *0, disabled.
Sep  4 14:23:11 beach kernel: ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 9 10 11 12 14 15) *0, disabled.
Sep  4 14:23:11 beach kernel: ACPI: PCI Interrupt Link [LNK0] (IRQs 3 4 5 6 7 9 10 11 12 14 15) *0, disabled.
Sep  4 14:23:11 beach kernel: ACPI: PCI Interrupt Link [LNK1] (IRQs 3 4 5 6 7 9 10 *11 12 14 15)
Sep  4 14:23:11 beach kernel: Linux Plug and Play Support v0.97 (c) Adam Belay
Sep  4 14:23:11 beach kernel: pnp: PnP ACPI init
Sep  4 14:23:11 beach kernel: pnp: PnP ACPI: found 13 devices
[...]

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1376_FC3

How reproducible:
Always

Steps to Reproduce:
1. Upgrade to kernel-2.6.12-1.1376_FC3
2. Boot
3. less /var/log/messages
  

Additional info:
Comment 1 Christian Weiss 2005-09-07 14:24:02 EDT
I found the following
http://bugzilla.kernel.org/show_bug.cgi?id=5162

Maybe fixed in ACPI 20050902.
Comment 2 Dave Jones 2005-09-24 01:58:12 EDT
This should be fixed in the latest errata, which includes 20050902 + some extra
acpi fixes.
Comment 3 Christian Weiss 2005-09-24 06:44:38 EDT
It is.
kernel-2.6.12-1.1378_FC3 do his ACPI job fine.

Note You need to log in before you can comment on or make changes to this bug.